Subject: bug#20614: Segmentation fault when building on Power8 Little Endian

From: Glenn Morris <[email-masked]>
Date: Wed, 23 Sep 2015 13:25:55 -0400

>> Of course with -DCANNOT_DUMP=1

You can't just do that, since the Makefiles need the value too.

IIRC, you may have to hack the configure script to set CANNOT_DUMP = yes.

>> if test "no" = "yes"; then \

Eg here we see that src/Makefile thinks CANNOT_DUMP = no.

> Are you building inside the source tree?  Emacs doesn't support
> building outside the source tree very well.

?
It works just fine AFAIK.

What does not work very well is CANNOT_DUMP.
It's very much a last resort, and I would not be surprised to learn that
the Makefiles are broken for this case, since it gets little to no testing.
But beyond that the experience of the Nextstep port IMO shows that
CANNOT_DUMP builds tend to be flaky (not to mention sloooow).